# Ruboty::Packman (<...

[![Build Status](https://travis-ci.org/kimromi/ruboty-packman.svg?branch=master)](https://travis-ci.org/kimromi/ruboty-packman)

library update tool in package manager for Ruboty.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ruboty-packman'
```

## Usage

```
# register repository (git clone)
@ruboty register repo <organization>/<repository>

# update library using package manager and create pull request
@ruboty update repo <organization>/<repository>

# remove repository (remove cloned directory)
@ruboty remove repo <organization>/<repository>
```

## Environments

#### `GITHUB_TOKEN` (required)

GitHub token.  
You can make a token with [this URL](https://github.com/settings/tokens). needs check **repo** `Full control of private repositories`.  
if use GitHub Enterprise, can make from https://[GitHub Enterprise Domain]/settings/tokens

#### `PACKMAN_REPOS_DIR` (optional)

When register repository, directory where git cloned repository.  
(default: `repos/` directory of ruboty-packman root)

#### `GITHUB_DOMAIN` (optional)

if use GitHub Enterprise, set GitHub Enterprise domain.  
(default: `github.com`)

#### `GITHUB_API_ENDPOINT` (optional)

if use GitHub Enterprise, set GitHub Enterprise api endpoint.  
(default: `https://api.github.com`)

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/kimromi/ruboty-packman. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Ruboty::Packman project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/kimromi/ruboty-packman/blob/master/CODE_OF_CONDUCT.md).
